Verify Domain
Look up the domain's MX records and update its verification status.
Look up the domain's MX records and update its verification status.
Scope: email_testing.domains.write
Path Parameters
idstringrequiredThe ID of the custom domain, as returned by List Domains or when you add the domain.
Sample Request
Request
curl -X POST "https://api.maileroo.com/v1/email-testing/domains/0b6f3c2e-9d4a-4f6b-8a21-5e7d2c9f1a34/verify" \
-H "Authorization: Bearer roo_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" \
-H "Content-Type: application/json"Sample Response
The response is wrapped in a data object.
Response
{
"data": {
"id": "289b7d13-d135-45fc-8ab6-02f7abf11d6a",
"name": "test.example.com",
"status": "verified",
"mx_hostname": "mx.sandbox.maileroo.io",
"observed_mx": [
"mx.sandbox.maileroo.io"
]
}
}Errors
404 Not Found— the resource does not exist or is not owned by the account.